Bug 52052 - Using a delimiter to separate result-messages for JMS Subscriber
Using a delimiter to separate result-messages for JMS Subscriber
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.5.1
All All
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-10-18 20:47 UTC by Yaroslav
Modified: 2011-12-10 22:22 UTC (History)
1 user (show)



Attachments
Test plan showing usage (7.58 KB, application/xml)
2011-11-03 21:27 UTC, Philippe Mouawad
Details
screenshot1 (328.41 KB, image/jpeg)
2011-11-10 19:02 UTC, Yaroslav
Details
screenshot2 (328.41 KB, image/jpeg)
2011-11-10 19:03 UTC, Yaroslav
Details
screenshot1 (202.89 KB, image/jpeg)
2011-11-10 19:05 UTC, Yaroslav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yaroslav 2011-10-18 20:47:18 UTC
If JMS Subscriber returns more than one message - the messages will be presented as one line in Respond Date tab.

Would be nice to use some delimiter to separate them, like "new line" for instance.

Ideally, JMS Subscriber GUI could present "Messages Delimiter" element - similar to the one as in "CSV Data Set Config" - to provide this enhanced functionality.

It is very useful to have it from Functional testing point of view.
Comment 1 Philippe Mouawad 2011-10-25 21:09:08 UTC
Date: Tue Oct 25 21:10:15 2011
New Revision: 1188913

URL: http://svn.apache.org/viewvc?rev=1188913&view=rev
Log:
Bug 52052 - Using a delimiter to separate result-messages for JMS Subscriber

Modified:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
   jakarta/jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/control/gui/JMSSubscriberGui.java
   jakarta/jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/SubscriberSampler.java
   jakarta/jmeter/trunk/xdocs/changes.xml
Comment 2 Yaroslav 2011-11-03 19:53:16 UTC
r1196526

it does not work for me; 

TC1: using "Separator" as a string ";" - two message are not separated by ";"

TC2: using some "white" character, for instance "\t"(tab) - two messages are not separated by "tab";

I'm using "View Result Tree" for displaying the result.

ER: "Separator" could be a string or "white-characters" or their combination;

Pls provide brief usage-instruction how to use "white" characters.

JMS Subscriber "Help" also has to be updated to provide "Separator" usage-instruction;

Reopened
Comment 3 Philippe Mouawad 2011-11-03 21:27:36 UTC
Created attachment 27893 [details]
Test plan showing usage
Comment 4 Philippe Mouawad 2011-11-03 21:28:51 UTC
Setting , or ; as separator works, see Attached Test plan (notice Number to aggregate is 2)
But setting \r or \n is not possible, I just fixed it.


Please attach test plan if you still have issue.
Comment 5 Philippe Mouawad 2011-11-03 21:29:16 UTC
Date: Thu Nov  3 21:26:16 2011
New Revision: 1197316

URL: http://svn.apache.org/viewvc?rev=1197316&view=rev
Log:
Bug 52052 - Using a delimiter to separate result-messages for JMS Subscriber
Fix setting \t, \n , \r as separator

Modified:
   jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/SubscriberSampler.java
Comment 6 Yaroslav 2011-11-10 19:02:51 UTC
Created attachment 27921 [details]
screenshot1
Comment 7 Yaroslav 2011-11-10 19:03:18 UTC
Created attachment 27922 [details]
screenshot2
Comment 8 Yaroslav 2011-11-10 19:05:00 UTC
Created attachment 27923 [details]
screenshot1
Comment 9 Yaroslav 2011-11-10 19:09:45 UTC
r1197910

The fix still does not work.

I've download the nightly build from http://people.apache.org/builds/jmeter/nightly/

See screenshot1 - ";" was used as a separator;
See screenshot2 - two messages were not separated; ">" and "001" had to be separated;

Reopened
Comment 10 Philippe Mouawad 2011-11-10 21:54:03 UTC
Thank you very much for your tests.
You were using other sets of options that were not well handled.
I close bug as fixed and will let you reopen it if you see other issues.
Next time, please submit your Test Plan as JMX (instead of screenshot) so it's easier to see what's wrong.

Regards


Date: Thu Nov 10 21:50:38 2011
New Revision: 1200586

URL: http://svn.apache.org/viewvc?rev=1200586&view=rev
Log:
Bug 52052 - Using a delimiter to separate result-messages for JMS Subscriber
There was an issue when following options were checked:
- stopBetweenSamples
- Read Response

Modified:
   jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/SubscriberSampler.java
Comment 11 Yaroslav 2011-12-07 23:37:13 UTC
r 1211656

The help page says:
Separator used to separate messages when there is more than one (related to setting Number of samples to aggregate). Note that \n, \r, \t are accepted.

AR1: the separator has been placed after each message;
ER1: the separator should not be placed after the last message;

AR2: if you have requested one message - the separator has been places after the message;
ER2: no separator for one message;

reopened
Comment 12 Philippe Mouawad 2011-12-10 22:22:21 UTC
Date: Sat Dec 10 22:21:13 2011
New Revision: 1212902

URL: http://svn.apache.org/viewvc?rev=1212902&view=rev
Log:
Bug 52052 - Using a delimiter to separate result-messages for JMS Subscriber
ER1: the separator should not be placed after the last message;
ER2: no separator for one message;

Modified:
   jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/SubscriberSampler.java